=encoding utf8

=head1 NAME

virt-index-validate - Validate virt-builder index file

=head1 SYNOPSIS

 virt-index-validate index

=head1 DESCRIPTION

L<virt-builder(1)> uses an index file to store metadata about templates
that it knows how to use.  This index file has a specific format which
virt-index-validate knows how to validate.

Note that virt-index-validate can validate either the signed or
unsigned index file (ie. either C<index> or C<index.asc>).  It can
only validate a local file, not a URL.

=head1 OPTIONS

=over 4

=item B<--compat-1.24.0>

Check for compatibility with virt-builder 1.24.0.  (Using this option
implies I<--compat-1.24.1>, so you don't need to use both.)

In particular:

=over 4

=item *

This version of virt-builder could not handle C<[...]>
(square brackets) in field names (eg. C<checksum[sha512]=...>).

=item *

It required detached signatures (C<sig=...>).

=back

=item B<--compat-1.24.1>

Check for compatibility with virt-builder E<ge> 1.24.1.

In particular:

=over 4

=item *

This version of virt-builder could not handle C<.> (period) in field
names or C<,> (comma) in subfield names.

=item *

It could not handle comments appearing in the file.

=back

=item B<--help>

Display help.

=item B<-V>

=item B<--version>

Display version number and exit.

=back

=head1 EXIT STATUS

This program returns 0 if the index file validates, or non-zero if
there was an error.

=head1 SEE ALSO

L<virt-builder(1)>,
L<http://libguestfs.org/>.

=head1 AUTHOR

Richard W.M. Jones L<http://people.redhat.com/~rjones/>

=head1 COPYRIGHT

Copyright (C) 2013 Red Hat Inc.
